# Uses of Class
org.opensaml.saml.common.messaging.context.ECPContext

Packages that use ECPContext
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of ECPContext in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context that return ECPContext
Modifier and Type
Method
Description
`ECPContext`
ECPContext.`setRequestAuthenticated(boolean flag)`
Set whether the request from the SP was authenticated.
`ECPContext`
ECPContext.`setSessionKey(byte[] key)`
Set the session key generated for use by the client and IdP.

## Uses of ECPContext in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as ECPContext
Modifier and Type
Field
Description
`private ECPContext`
AddGeneratedKeyToAssertions.`ecpContext`
ECPContext to read from.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type ECPContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ECPContext>`
PopulateECPContext.`ecpContextCreationStrategy`
Strategy used to locate the `ECPContext` to populate.
`private Function<ProfileRequestContext,ECPContext>`
AddGeneratedKeyToAssertions.`ecpContextLookupStrategy`
Strategy used to locate the `ECPContext` to operate on.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type ECPContext
Modifier and Type
Method
Description
`void`
PopulateECPContext.`setECPContextCreationStrategy(Function<ProfileRequestContext,ECPContext> strategy)`
Set the strategy used to locate the `ECPContext` to operate on.
`void`
AddGeneratedKeyToAssertions.`setECPContextLookupStrategy(Function<ProfileRequestContext,ECPContext> strategy)`
Set the strategy used to locate the `ECPContext` to operate on.